"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const f36_components_1 = require("@contentful/f36-components");
const HyperLink = (props) => {
    const { body, substring, onClick = () => { }, href, icon, alignIcon } = props;
    const textLinkComponent = (index) => ((0, jsx_runtime_1.jsx)(f36_components_1.TextLink, { onClick: onClick, href: href, target: "_blank", rel: "noopener noreferer", icon: icon, alignIcon: alignIcon, children: substring }, `textLink-${index}`));
    const formatLink = () => {
        const bodyWithTextLink = body.split(substring).reduce((prev, current, i) => {
            if (!i) {
                return [current];
            }
            return prev.concat(textLinkComponent(i), current);
        }, []);
        return bodyWithTextLink;
    };
    return formatLink();
};
exports.default = HyperLink;
//# sourceMappingURL=HyperLink.js.map