"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const usehooks_ts_1 = require("usehooks-ts");
const f36_components_1 = require("@contentful/f36-components");
const useSearchReducer_1 = require("./useSearchReducer");
const SearchBar = (props) => {
    const { groupFilters, filterFacets, onSearch, searchTitle, placeholder } = props;
    const initialState = {
        selectedGroupFilter: !!groupFilters?.length ? groupFilters[0].value : '',
        searchValue: '',
        selectedFilterFacets: [],
    };
    const { searchState, onSearchInput } = (0, useSearchReducer_1.default)(initialState);
    const searchDebounce = (0, usehooks_ts_1.useDebounce)(searchState, 300);
    const handleSearch = () => {
        onSearch(searchState);
    };
    (0, react_1.useEffect)(handleSearch, [searchDebounce]);
    return ((0, jsx_runtime_1.jsx)(f36_components_1.TextInput, { id: "search-input", type: "text", value: searchState.searchValue, placeholder: placeholder || 'Search', title: searchTitle || 'Search', "aria-label": searchTitle || 'Search', onChange: onSearchInput }));
};
exports.default = SearchBar;
//# sourceMappingURL=SearchBar.js.map